// PerformaxVCSampleDlg.h : header file
//

#if !defined(AFX_PERFORMAXVCSAMPLEDLG_H__B49C6BAF_B1A9_41AF_A1F3_AACAC540C56D__INCLUDED_)
#define AFX_PERFORMAXVCSAMPLEDLG_H__B49C6BAF_B1A9_41AF_A1F3_AACAC540C56D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

extern "C" __declspec(dllimport) BOOL _stdcall fnPerformaxComWrite(IN HANDLE pHandle, LPVOID Buffer, DWORD dwNumBytesToWrite, OUT LPDWORD lpNumBytesWritten);
extern "C" __declspec(dllimport) BOOL _stdcall fnPerformaxComRead(IN HANDLE pHandle, LPVOID Buffer, DWORD dwNumBytesToRead, OUT LPDWORD lpNumBytesReturn);
extern "C" __declspec(dllimport) BOOL _stdcall fnPerformaxComClose(IN HANDLE pHandle);
extern "C" __declspec(dllimport) BOOL _stdcall fnPerformaxComSetTimeouts(IN DWORD dwReadTimeout, DWORD dwWriteTimeout);


extern "C" __declspec(dllimport) BOOL _stdcall fnPerformaxComGetNumDevices(OUT LPDWORD lpNumDevices);
extern "C" __declspec(dllimport) BOOL _stdcall fnPerformaxComGetProductString(IN DWORD dwNumDevices, OUT LPVOID lpDeviceString, IN DWORD dwOptions);	
extern "C" __declspec(dllimport) BOOL _stdcall fnPerformaxComOpen(IN DWORD dwDeviceNum, OUT HANDLE* pHandle);
extern "C" __declspec(dllimport) BOOL _stdcall fnPerformaxComSendRecv(IN HANDLE pHandle, 
													IN LPVOID wBuffer, 
													IN DWORD dwNumBytesToWrite,
													IN DWORD dwNumBytesToRead,
													OUT LPVOID rBuffer);

extern "C" __declspec(dllimport) BOOL _stdcall fnPerformaxComFlush(IN HANDLE pHandle);


/////////////////////////////////////////////////////////////////////////////
// CPerformaxVCSampleDlg dialog

class CPerformaxVCSampleDlg : public CDialog
{
// Construction
public:
	CPerformaxVCSampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CPerformaxVCSampleDlg)
	enum { IDD = IDD_PERFORMAXVCSAMPLE_DIALOG };
	CButton		m_BtnSend;
	CButton		m_BtnDisConnect;
	CButton		m_BtnConnect;
	CButton		m_BtnFlush;
	CListBox	m_ListBoxReply;
	CComboBox	m_CombDeviceList;

	CString	m_strCommand;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPerformaxVCSampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON	m_hIcon;
	HANDLE	m_hUSBDevice;
	BOOL	m_bIsConnected;

	// Generated message map functions
	//{{AFX_MSG(CPerformaxVCSampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnConnect();
	afx_msg void OnDisconnect();
	afx_msg void OnSend();
	virtual void OnOK();
	afx_msg void OnChangeEditCommand();
	afx_msg void OnButtonFlush();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PERFORMAXVCSAMPLEDLG_H__B49C6BAF_B1A9_41AF_A1F3_AACAC540C56D__INCLUDED_)
